Bug 139305 - compat-gcc-296-2.96-130.7.2.src.rpm fails to rebuild
compat-gcc-296-2.96-130.7.2.src.rpm fails to rebuild
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: compat-gcc-296 (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-14 20:02 EST by Johnny Hughes
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-15 08:17:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
error log from the build process (213.19 KB, text/plain)
2004-11-14 20:03 EST, Johnny Hughes
no flags Details

  None (edit)
Description Johnny Hughes 2004-11-14 20:02:46 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041020
Firefox/0.10.1

Description of problem:
compat-gcc-296-2.96-130.7.2.src.rpm fails to rebuild on a RHEL 4 AS -
Beta 2 "Everything" install as both a normal user and as root.

Version-Release number of selected component (if applicable):
compat-gcc-296-2.96-130.7.2.src.rpm

How reproducible:
Always

Steps to Reproduce:
1.  rpmbuild --rebuild compat-gcc-296-2.96-130.7.2.src.rpm


Additional info:
Comment 1 Johnny Hughes 2004-11-14 20:03:17 EST
Created attachment 106693 [details]
error log from the build process
Comment 2 Jakub Jelinek 2004-11-15 08:17:17 EST
Are you sure your clock is set up correctly?
It builds here just fine and the important difference is that bison is not run
on c-parse.y.  It shouldn't be - the spec file patches c-parse.c and therefore
it should have later timestamp than c-parse.y, furthermore it then also
touch(1)'es c-parse.h and other generated files.
GCC 2.96-RH similarly to other old compilers aren't compatible with contemporary
bison releases.

Note You need to log in before you can comment on or make changes to this bug.